Package org.bgerp.app.exception.alarm

# Class AlarmSender

java.lang.Object
java.lang.Thread
org.bgerp.app.exception.alarm.AlarmSender

All Implemented Interfaces:
  `Runnable`

public class AlarmSender extends Thread
Sender alarms to a configured email

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `init(Setup setup)`
  `void`
  `run()`
  `static void`
  `send(String key, long defaultInterval, String subject, Supplier<String> text)`
  `static void`
  `send(String key, long defaultInterval, String subject, Supplier<String> text, Exception ex, Supplier<List<FileData>> attachments)`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### init

    public static void init(Setup setup)

  - ### send

    public static void send(String key, long defaultInterval, String subject, Supplier<String> text, Exception ex, Supplier<List<FileData>> attachments)

  - ### send

    public static void send(String key, long defaultInterval, String subject, Supplier<String> text)

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`